 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */
Page({

    /**
     * 页面的初始数据
     */
    data: {
        categories  : '',       //分类
        articlesArr : [] ,      //列表
        page        : {},      //分页信息
        listType    : 2,      //类型
        name        : '',      //名称
        lodingStats : false,  //加载状态
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        // 获取列表
        this.articlesInfo();
    },

    // 列表
    articlesInfo(page){
        wx.$api.user.favorites({
            category_id : this.data.listType,
            page : page || 1
        }).then(res => {
            let listArr = this.data.articlesArr,
                newData = []
            if(page == 1 || page == undefined) listArr = []
            newData = listArr.concat(res.data.favorites.data)
            this.setData({
                categories  : res.data.categories,
                articlesArr : newData,
                page        : res.data.favorites.page,
                lodingStats : false
            })
            wx.stopPullDownRefresh()
        }).catch(err => {})
    },

    /**
     * 状态筛选
     */
    onTabs(val){
        if(this.data.listType === val) return
        this.setData({
            listType: val.currentTarget.dataset.type
        })
        
        // 商品详情数据
        this.articlesInfo();
    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {
        // 获取列表
		this.articlesInfo();
    },

    /**
     * 上拉加载
     */
    onReachBottom(){
        this.setData({
            lodingStats: true
        })
        let pageNumber = this.data.page.current
        if(this.data.page.has_more){
            pageNumber++
            // 获取列表
		    this.articlesInfo(pageNumber);
        }
    }
})